DRM_HELPER_DISABLE_U(9)

NAME
drm_helper_disable_unused_functions - disable unused objects

SYNOPSIS

void drm_helper_disable_unused_functions(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

This function walks through the entire mode setting configuration of dev. It will remove any crtc links of unused encoders and encoder links of disconnected connectors. Then it will disable all unused encoders and crtcs either by calling their disable callback if available or by calling their dpms callback with DRM_MODE_DPMS_OFF.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT